var DialogRewardController = function(){};

DialogRewardController.ShowAddResponseReward = function(){
    RewardUserForm.Init();
};


DialogRewardController.Claim = function(){
  
    Event.AddByClass("btnClaimThis", "click", (e)=>{
        
        let rewardId =  e.srcElement.id;
        let request = new Http("Reward", "ClaimThis");
            request.Add("rewardId", rewardId);
            
        request.Post(()=>{
            
            Dialog.Close();
            Animation.Notify(Language.GetCode("Reward.ClaimSaved"));
        });    
    });
};
